Fatal error: Call to undefined function

I just installed the plugin "Global Site Widget" without any additional configuration and got this error message:

Fatal error: Call to undefined function global_site_tags_tag_cloud() in /srv/http/lakajira.com/wp-content/plugins/global-site-tags/widget-global-site-tags.php on line 71

Warning: missing endblock() for startblock('middle') in /srv/http/lakajira.com/wp-content/themes/parallelus-mingle/framework/theme-functions/layout-and-design.php on line 137

What is wrong with this plugin / widget and how can I remove the error and let the widget do its job?

  • aecnu

    Greetings gdharre,

    Thank you for this great question and bringing this significant issue to our attention.

    The first thing you mentioned concerning installation was that you have installed this plugin and activated it, but you did not mention the Post Indexer plugin that is required to be installed prior to the Global Site Tags plugins as indicated in it's instructions.

    In addition, it clearly shows that it is Buddy Press version 1.6 compatible but your version of Buddy Press is a couple versions behind and version 1.6.1 is out.

    The version of Buddy Press you are using has hundreds of bugs in it as indicted by Buddy Press themselves in the following statement:

    on top of hundreds of bugfixes

    Reference: http://codex.buddypress.org/releases/version-1-6/

    I only mentioned the Buddy Press portion so that your installation may indeed be based on a solid foundation.

    Please advise after installation of the Post Indexer plugin if you still have errors or otherwise.

    Cheers, Joe

  • gdharre

    Greetings Aecnu!

    I am using the Post indexer now for around one year on my site and already other plugins from wpmudev, that needs this plugin :wink:

    How can it be, that the plugin needs Buddypress 1.6.1 as It did not get an update since 2011? Does this mean that it was also not working before the new version?

    So in fact, I have to dig into the code myself, as it cannot be, that wpmudev made a failure, but buddypress did? :slight_frown:

  • aecnu

    Greetings gdharre,

    Thank you for your additional feedback, it is certainly appreciated.

    How can it be, that the plugin needs Buddypress 1.6.1 as It did not get an update since 2011?

    I do not know who said that is the case?

    Please advise. Because I certainly did not say that nor hint that this was the issue.

    Does this mean that it was also not working before the new version?

    It was to the best of my knowledge, who said that it wasn't?

    My entire unedited original post is above and I want clarification of where I said any of these things or indicated that anything I mentioned concerning Buddy Press was related to this plugin not working as we (you and I) have anticipated?

    Please advise, I await your valuable input.

    Cheers, Joe

  • Kimberly

    Hi!

    Just checking in :slight_smile:

    I'm guessing that because we haven't heard back from you that you've got your issue worked out via live chat or email, or that we have reached the end of our convo here. If you are still having problems or need any other answers on this particular topic please feel free to come back to this thread at anytime. Just be sure to mark it Not Resolved so we don't miss it!

    This ticket is only being Resolved due to lack of activity. It is by no means an action to avoid, brush off or minimize your issue. We are ready and here if you want to re-open at any time and I apologize in advance for any lack of communication if this ticket is being closed in error.

    Thanks for being part of the WPMU DEV Community!

    Best,
    Kimberly

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.